<div id="dashboard-analytics" class="page-layout blank grey-100-bg" fusePerfectScrollbar>


        <div class="main-widget {{secondColorBrand}}" >

               
<!-- 
                 -->

            <div class="position-relative h-240 w-100-p pb-16" >
                <canvas baseChart
                        [datasets]="widget9.datasets[widget5SelectedDay]"
                        [labels]="widget9.labels"
                        [colors]="widget9.colors"
                        [options]="widget9.options"
                        [chartType]="widget9.chartType">
                </canvas>
            </div>

                <!-- <div class="position-relative p-24 mat-blue-600-bg"
                     fxLayout="row" fxLayoutAlign="space-between center">
                    <div fxLayout="column" fxLayoutAlign="start start">
                        <span class="h2">Transações</span>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start center">
                        <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer"
                             (click)="selectInterval('week')"
                             [ngClass]="{'blue-300-bg': widget1SelectedYear === 'week'}">
                            Semana
                        </div>
                        <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer"
                             (click)="selectInterval('month')"
                             [ngClass]="{'blue-300-bg': widget1SelectedYear === 'month'}">
                            Mês
                        </div>
                        <div class="py-8 px-12 border-radius-2 line-height-1 cursor-pointer"
                             (click)="selectInterval('year')"
                             [ngClass]="{'blue-300-bg': widget1SelectedYear === 'year'}">
                            Ano
                        </div>
                    </div>
                </div>
        
                <div class="position-relative h-256 pb-16 mat-blue-600-bg" *ngIf="widget1SelectedYear === 'week'">
                    <canvas baseChart
                            [datasets]="widget1.datasets[widget1SelectedYear]"
                            [labels]="widget1.labels['week']"
                            [colors]="widget1.colors"
                            [options]="widget1.options"
                            [chartType]="widget1.chartType">
                    </canvas>
                </div>

                <div class="position-relative h-256 pb-16 mat-blue-600-bg" *ngIf="widget1SelectedYear === 'month'">
                    <canvas baseChart
                            [datasets]="widget1.datasets['month']"
                            [labels]="widget1.labels[widget1SelectedYear]"
                            [colors]="widget1.colors"
                            [options]="widget1.options"
                            [chartType]="widget1.chartType">
                    </canvas>
                </div>

                <div class="position-relative h-256 pb-16 mat-blue-600-bg" *ngIf="widget1SelectedYear === 'year'">
                    <canvas baseChart
                            [datasets]="widget1.datasets['year']"
                            [labels]="widget1.labels[widget1SelectedYear]"
                            [colors]="widget1.colors"
                            [options]="widget1.options"
                            [chartType]="widget1.chartType">
                    </canvas>
                </div> -->


        
            </div>

            <!-- <div class="position-relative p-24 transparent"  fxLayout="row" fxLayoutAlign="space-between center">
                <div fxLayout="column" fxLayoutAlign="start start">
                  <div fxLayout="row" fxLayoutAlign="start center">
                    <span class="h1 font-size-36 font-weight-500  light-blue-fg">&nbsp;&nbsp;Saldo</span>
                  </div>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center">
                  <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer">
                    <div class="h1 font-size-42 font-weight-600 light-blue-fg">{{1500 | currency: 'BRL'}}</div>
                  </div>
                </div>
              </div>

              <mat-divider></mat-divider> -->

            <div class="content p-24 w-100-p">
                   

                    <!-- WIDGET GROUP -->
                    <div class="widget-group" fxLayout="row wrap" fxFlex="100" fxLayoutAlign="center center" *fuseIfOnDom [@animateStagger]="{value:'50'}">

                        <fuse-widget [@animate]="{value:'*',params:{y:'100%'}}" class="widget" fxLayout="column" fxFlex="100" fxFlex.gt-xs="50" fxFlex.gt-md="25">
                            <div class="fuse-widget-front mat-white-bg mat-elevation-z2" (click)="viewTransactionsList('light-green-bg',widgets.widget1.title)">
                                <div class="pl-16 pr-8 py-16 h-52" fxLayout="row" fxLayoutAlign="space-between center">
                                    <div class="h2 light-green-fg">{{widgets.widget1.title}}</div>
                                </div>
            
                                <div class="pt-8 pb-32" fxLayout="column" fxLayoutAlign="center center">
                                    <div class=" light-green-fg font-size-52 line-height-52">
                                            &nbsp;{{report ? (report['balanceAvailable'] | currency: 'BRL') : 500 | currency: 'BRL'}}
                                    </div>
                                </div>
            
                                <div class="p-16 light-green-500-bg border-top" fxLayout="row" style="cursor:pointer" (click)="viewTransactionsList('light-green-bg',widgets.widget1.title)" fxLayoutAlign="center center">
                                    <div class="h2 secondary-text font-weight-500 white-fg" >{{widgets.widget1.data.label}}</div>
                                </div>
                            </div>
                        </fuse-widget>

                        <fuse-widget [@animate]="{value:'*',params:{y:'100%'}}" class="widget" fxLayout="column" fxFlex="100" fxFlex.gt-xs="50" fxFlex.gt-md="25">
                                <div class="fuse-widget-front mat-white-bg mat-elevation-z2" (click)="viewTransactionsList('red-500-bg',widgets.widget2.title)">
                                    <div class="pl-16 pr-8 py-16 h-52" fxLayout="row" fxLayoutAlign="space-between center">
                                        <div class="h2 red-fg">{{widgets.widget2.title}}</div>
                                    </div>
                
                                    <div class="pt-8 pb-32" fxLayout="column" fxLayoutAlign="center center">
                                        <div class=" red-fg font-size-52 line-height-52">
                                                &nbsp;{{report ? (report['balanceAvailable'] | currency: 'BRL') : 300 | currency: 'BRL'}}
                                        </div>
                                    </div>
                
                                    <div class="p-16 red-500-bg border-top" fxLayout="row" style="cursor:pointer" (click)="viewTransactionsList('red-500-bg',widgets.widget2.title)" fxLayoutAlign="center center">
                                        <div class="h2 secondary-text font-weight-500 white-fg" >{{widgets.widget2.data.label}}</div>
                                    </div>
                                </div>
                            </fuse-widget>
                                 
                            <fuse-widget [@animate]="{value:'*',params:{y:'100%'}}" class="widget" fxLayout="column" fxFlex="100" fxFlex.gt-xs="50" fxFlex.gt-md="25">
                                    <div class="fuse-widget-front mat-white-bg mat-elevation-z2" (click)="viewTransactionsList('orange-500-bg',widgets.widget3.title)">
                                        <div class="pl-16 pr-8 py-16 h-52" fxLayout="row" fxLayoutAlign="space-between center">
                                            <div class="h2 orange-fg">{{widgets.widget3.title}}</div>
                                        </div>
                    
                                        <div class="pt-8 pb-32" fxLayout="column" fxLayoutAlign="center center">
                                            <div class="orange-fg font-size-52 line-height-52">
                                                    &nbsp;{{report ? (report['balanceSuccess'] | currency: 'BRL') : 800 | currency: 'BRL'}}
                                            </div>
                                        </div>
                    
                                        <div class="p-16 orange-500-bg border-top" fxLayout="row" style="cursor:pointer" (click)="viewTransactionsList('orange-500-bg',widgets.widget3.title)" fxLayoutAlign="center center">
                                            <div class="h2 secondary-text font-weight-500 white-fg" >{{widgets.widget3.data.label}}</div>
                                        </div>
                                    </div>
                                </fuse-widget>

                                <fuse-widget [@animate]="{value:'*',params:{y:'100%'}}" class="widget" fxLayout="column" fxFlex="100" fxFlex.gt-xs="50" fxFlex.gt-md="25">
                                    <div class="fuse-widget-front mat-white-bg mat-elevation-z2" (click)="viewTransactionsList('light-blue-500-bg',widgets.widget4.title)">
                                        <div class="pl-16 pr-8 py-16 h-52" fxLayout="row" fxLayoutAlign="space-between center">
                                            <div class="h2 light-blue-fg">{{widgets.widget4.title}}</div>
                                        </div>
                    
                                        <div class="pt-8 pb-32" fxLayout="column" fxLayoutAlign="center center">
                                            <div class="light-blue-fg font-size-52 line-height-52">
                                                    &nbsp;{{report ? (report['balanceCanceled'] | currency: 'BRL') : 2000 | currency: 'BRL'}}
                                            </div>
                                        </div>
                    
                                        <div class="p-16 light-blue-500-bg border-top" fxLayout="row" style="cursor:pointer" (click)="viewTransactionsList('light-blue-500-bg',widgets.widget4.title)" fxLayoutAlign="center center">
                                            <div class="h2 secondary-text font-weight-500 white-fg" >{{widgets.widget4.data.label}}</div>
                                        </div>
                                    </div>
                                </fuse-widget>

                    </div>
                   
             </div>

                <div  style="padding-left:30px; padding-right: 30px">

                <div class="position-relative p-24 light-blue-500-bg" fxLayout="row" fxLayoutAlign="space-between center">
                    <div fxLayout="column" fxLayoutAlign="start start">
                        <div fxLayout="row">
                            <span class="logo-text h1 font-weight-500  white-fg" >Extrato</span>
                        </div>
                    </div>
                </div>
          
                  <mat-table class="transactions-table" #table [dataSource]="dataSource" [@animateStagger]="{value:'50'}"
                    fusePerfectScrollbar matSort matSortActive="dueDate" matSortDirection="desc" matSortDisableClear>
          
                    <ng-container cdkColumnDef="dueDate">
                      <mat-header-cell *cdkHeaderCellDef mat-sort-header class="font-size-14 white-fg font-weight-600">Data do Vencimento</mat-header-cell>
                      <mat-cell *cdkCellDef="let element">
                        <p class="text-truncate">{{element.dueDate | date: 'dd/MM/yyyy'}}</p>
                      </mat-cell>
                    </ng-container>
          
                    <ng-container cdkColumnDef="brand">
                      <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Marca </mat-header-cell>
                      <mat-cell *cdkCellDef="let element">
                        <p class="text-truncate">{{element.brandObj?.name}}</p>
                      </mat-cell>
                    </ng-container>

                    <ng-container cdkColumnDef="customer">
                        <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Cliente </mat-header-cell>
                        <mat-cell *cdkCellDef="let element">
                          <p class="text-truncate">Pedro</p>
                        </mat-cell>
                      </ng-container>

                      <ng-container cdkColumnDef="licensePlate">
                        <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Placa </mat-header-cell>
                        <mat-cell *cdkCellDef="let element">
                          <p class="text-truncate">ADF-5543</p>
                        </mat-cell>
                      </ng-container>
          
                    <ng-container cdkColumnDef="paymentType">
                      <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Forma de Pagamento</mat-header-cell>
                      <mat-cell *cdkCellDef="let element">
                        <p class="text-truncate">Boleto</p>
                      </mat-cell>
                    </ng-container>
                    
                 
          
                    <ng-container cdkColumnDef="origin">
                      <mat-header-cell *cdkHeaderCellDef mat-sort-header class="font-size-14 white-fg font-weight-600">Tipo de
                        Transação</mat-header-cell>
                      <mat-cell *cdkCellDef="let element">
                        <p class="text-truncate">{{element.origin}}</p>
                      </mat-cell>
                    </ng-container>

                    <ng-container cdkColumnDef="status">
                        <mat-header-cell *cdkHeaderCellDef mat-sort-header class="font-size-14 white-fg font-weight-600">Status</mat-header-cell>
                        <mat-cell *cdkCellDef="let element">
                          <p class="text-truncate light-blue-fg">{{element.status}}</p>
                        </mat-cell>
                      </ng-container>
          
                    <ng-container cdkColumnDef="amount">
                      <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Valor</mat-header-cell>
                      <mat-cell *cdkCellDef="let element">
                        <p class="font-weight-600 " [ngClass]="(element.type == 'REVENUE')?'green-fg' : 'red-fg'">{{element.grossAmount
                          | currency: 'BRL'}}</p>
                      </mat-cell>
                    </ng-container>

                    <ng-container cdkColumnDef="total">
                        <mat-header-cell *cdkHeaderCellDef class="font-size-14 white-fg font-weight-600">Saldo</mat-header-cell>
                        <mat-cell *cdkCellDef="let element">
                          <p class="font-weight-600 " [ngClass]="(element.type == 'REVENUE')?'light-blue-fg' : 'red-fg'">{{ 1500 - element.grossAmount 
                            | currency: 'BRL'}}</p>
                        </mat-cell>
                      </ng-container>
          
                 
          
                    <mat-header-row *matHeaderRowDef="displayedColumns" [ngClass]="secondColorBrand"></mat-header-row>
                    <mat-row *cdkRowDef="let row; columns: displayedColumns;" class="product" matRipple (click)="showTransactionDetailDialog(row)">
                    </mat-row>
                  </mat-table>
          
                  <mat-paginator [length]="resultLength" [pageSize]="10" [pageSizeOptions]="[10, 25, 50]"></mat-paginator>
          
                </div>
          
            

</div>
